#if defined _download_included
  #endinput
#endif
#define _download_included

stock bool: Download( xmltag: tag )
{
	new arg[ 2048 char ];
	new a_arg[ 300 ];

	{
		a_arg[0] = 0;
		domGetData( tag, "title", a_arg );
		strcat( arg, "title=" );
		strcat( arg, a_arg );
	}

	{
		a_arg[0] = 0;
		domGetData( tag, "album", a_arg );
		strcat( arg, ";album=" );
		strcat( arg, a_arg );
	}

	{
		a_arg[0] = 0;
		domGetData( tag, "cref", a_arg );
		if( a_arg[0]==0 )
		{
			printf( "cref must be set.\n" );
			return false;
		}
		xmlMakeFullPath( a_arg );
		strcat( arg, ";cref=" );
		strcat( arg, a_arg );
	}

	{
		a_arg[0] = 0;
		domGetData( tag, "thumbnail_image", a_arg );
		xmlMakeFullPath( a_arg );
		strcat( arg, ";thumbnail_image=" );
		strcat( arg, a_arg );
	}

	{
		a_arg[0] = 0;
		domGetData( tag, "nextref", a_arg );

		// nextrefが省略されている場合は、
		// 現在のページに戻ってくるように設定する
		if( a_arg[0] == 0 ) xmlGetURI(a_arg);

		xmlMakeFullPath( a_arg );
		strcat( arg, ";nextref=" );
		strcat( arg, a_arg );
	}

	xmlLoadStart( "$$BUILDIN_DOWNLOAD2$$", "", arg );
	xmlLoadWait();

    return true;
}

